# medcrypt::guardian::AuthenticationAllowDenyEnum

## Types

|      | Name                                                                                                                                            |
| ---- | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| enum | [**Type**](/api-reference/api-reference/namespaces/namespacemedcrypt-guardian-authenticationallowdenyenum.md#enum-type) { Allow = 0, Deny = 1 } |

## Functions

|                                                                                                                     | Name                                                                                                                                                                                                                                                                  |
| ------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| std::string                                                                                                         | [**NameOf**](/api-reference/api-reference/namespaces/namespacemedcrypt-guardian-authenticationallowdenyenum.md#function-nameof)(const [Type](/api-reference/api-reference/namespaces/namespacemedcrypt-guardian-authenticationallowdenyenum.md#enum-type) & in\_enum) |
| [Type](/api-reference/api-reference/namespaces/namespacemedcrypt-guardian-authenticationallowdenyenum.md#enum-type) | [**Enum**](/api-reference/api-reference/namespaces/namespacemedcrypt-guardian-authenticationallowdenyenum.md#function-enum)(const std::string & in\_string)                                                                                                           |
| bool                                                                                                                | [**IsValid**](/api-reference/api-reference/namespaces/namespacemedcrypt-guardian-authenticationallowdenyenum.md#function-isvalid)(const int & in\_value)                                                                                                              |

## Types Documentation

### enum Type

| Enumerator | Value | Description                                               |
| ---------- | ----- | --------------------------------------------------------- |
| Allow      | 0     | specified list is an allow list, an empty list blocks all |
| Deny       | 1     | specified list is a deny list, an empty list allows all   |

## Functions Documentation

### function NameOf

```cpp
std::string NameOf(
    const Type & in_enum
)
```

### function Enum

```cpp
Type Enum(
    const std::string & in_string
)
```

### function IsValid

```cpp
bool IsValid(
    const int & in_value
)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.medcrypt.com/api-reference/api-reference/namespaces/namespacemedcrypt-guardian-authenticationallowdenyenum.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
